MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025412Open CASCADE[OCCT] OCCT:Codingpublic2014-10-22 15:502014-11-12 09:03
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025412: BRepMesh_FastDiscretFace::tryToInsertAnalyticVertex() - fix invalid comparison
Description
inc/BRepMesh_FastDiscretFace.hxx|122|warning: logical not is only applied to the left hand side of this 
comparison [-Wlogical-not-parentheses]|

This condition should be corrected.
  void tryToInsertAnalyticVertex(const gp_Pnt2d&         thePnt2d,
                                 const AnalyticSurface&  theAnalyticSurface,
                                 BRepMesh::ListOfVertex& theVertices)
  {
    if (!myClassifier->Perform(thePnt2d) == TopAbs_IN)
      return;
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023106closedbugmaster BRepMesh_IncrementalMesh returns wrong status 
related to 0025411closedbugmaster BVH package - eliminate warning about hidden overloaded method ::Box 

-  Notes
(0033568)
git (administrator)
2014-10-22 16:09

Branch CR25412_25411 has been created by kgv.

SHA-1: 38752e2ea07679df3ffbf42e6e1ef366df420f04


Detailed log of new commits:

Author: kgv
Date: Wed Oct 22 16:09:15 2014 +0400

    0025412: BRepMesh_FastDiscretFace::tryToInsertAnalyticVertex() - fix invalid comparison
    
    Remove unused field BRepMesh_FastDiscretFace::myWithShare.
    Remove "virtual" from method of class <anonymous>::FixedVExplorer.

Author: kgv
Date: Wed Oct 22 15:43:17 2014 +0400

    0025411: BVH package - eliminate warning about hidden overloaded method ::Box
(0033569)
kgv (developer)
2014-10-22 16:12

Patch is ready for review.
(0033584)
abv (manager)
2014-10-22 18:11

No remarks, please test
(0033629)
apv (tester)
2014-10-23 12:56

Dear BugMaster,

Branch CR25412_25411 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 38752e2ea07679df3ffbf42e6e1ef366df420f04

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
Not needed

Testing on Linux:
Total MEMORY difference: 369048988 / 368934284
Total CPU difference: 47137.82999999983 / 44655.77000000001

Testing on Windows:
Total MEMORY difference: 255316352 / 252953496
Total CPU difference: 40998.5 / 34935.15625
(0034268)
git (administrator)
2014-11-12 09:03

Branch CR25412_25411 has been deleted by kgv.

SHA-1: 38752e2ea07679df3ffbf42e6e1ef366df420f04

- Related Changesets
occt: master 90542800
Timestamp: 2014-10-22 12:09:15
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025412: BRepMesh_FastDiscretFace::tryToInsertAnalyticVertex() - fix invalid comparison

Remove unused field BRepMesh_FastDiscretFace::myWithShare.
Remove "virtual" from method of class <anonymous>::FixedVExplorer.
mod - src/BRepMesh/BRepMesh_FastDiscret.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscretFace.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscretFace.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-22 15:50 kgv New Issue
2014-10-22 15:50 kgv Assigned To => kgv
2014-10-22 16:09 git Note Added: 0033568
2014-10-22 16:09 kgv Relationship added related to 0025411
2014-10-22 16:11 kgv Relationship added related to 0023106
2014-10-22 16:12 kgv Note Added: 0033569
2014-10-22 16:12 kgv Assigned To kgv => abv
2014-10-22 16:12 kgv Status new => resolved
2014-10-22 18:11 abv Note Added: 0033584
2014-10-22 18:11 abv Assigned To abv => bugmaster
2014-10-22 18:11 abv Status resolved => reviewed
2014-10-22 18:54 apv Assigned To bugmaster => apv
2014-10-23 11:36 apv Test case number => Not needed
2014-10-23 12:56 apv Note Added: 0033629
2014-10-23 12:56 apv Assigned To apv => bugmaster
2014-10-23 12:56 apv Status reviewed => tested
2014-10-24 15:38 bugmaster Changeset attached => occt master 90542800
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:03 git Note Added: 0034268


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker